<?php

namespace FiloBlu\Omnibus\Helper;

use Magento\Framework\App\Helper\Context;
use \Magento\Store\Model\StoreManagerInterface;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{

	protected $_storeManager;

	public function __construct(
		Context $context,
		StoreManagerInterface $storeManager
	)
	{
		$this->_storeManager = $storeManager;
		parent::__construct($context);
	}

	public function getConfig($config, $section = "filoblu_omnibus", $scope = \Magento\Store\Model\ScopeInterface::SCOPE_STORE)
	{
		return $this->scopeConfig->getValue($section . "/" . $config, $scope);
	}
	
	public function getIsEnabled()
	{
		return $this->getConfig('general/enabled') && !$this->getConfig('general/hide_price', 'filoblu_disableshop_section');
	}
	
	public function getApiUrl()
	{
		return $this->getConfig('general/api_url');
	}
	
	public function getBrand()
	{
		return $this->getConfig('general/brand');
	}
	
	public function getStoreCode()
	{
		return $this->_storeManager->getStore()->getCode();
	}
}
